package com.tongran.rocketmq.mapper;

import com.tongran.rocketmq.domain.AllDiskName;

import java.util.List;

/**
 * 磁盘名称存储Mapper接口
 * 
 * @author tongran
 * @date 2026-01-14
 */
public interface AllDiskNameMapper 
{
    /**
     * 查询磁盘名称存储
     * 
     * @param id 磁盘名称存储主键
     * @return 磁盘名称存储
     */
    public AllDiskName selectAllDiskNameById(Long id);

    /**
     * 查询磁盘名称存储列表
     * 
     * @param allDiskName 磁盘名称存储
     * @return 磁盘名称存储集合
     */
    public List<AllDiskName> selectAllDiskNameList(AllDiskName allDiskName);

    /**
     * 新增磁盘名称存储
     * 
     * @param allDiskName 磁盘名称存储
     * @return 结果
     */
    public int insertAllDiskName(AllDiskName allDiskName);

    /**
     * 修改磁盘名称存储
     * 
     * @param allDiskName 磁盘名称存储
     * @return 结果
     */
    public int updateAllDiskName(AllDiskName allDiskName);

    /**
     * 删除磁盘名称存储
     * 
     * @param id 磁盘名称存储主键
     * @return 结果
     */
    public int deleteAllDiskNameById(Long id);

    /**
     * 批量删除磁盘名称存储
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAllDiskNameByIds(Long[] ids);

    int batchInsertAllDistName(List<AllDiskName> dataList);

    List<AllDiskName> selectDiskInfoList(AllDiskName allDiskName);
}
